/*
 * @quakeSensorsStruct.java Version 1.1 01/30/2015
 *
 * Copyright (c) 2015 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package quake;

/** Class quakeSensorsStruct
 *  <p> This Class holds the data needed to plot the data location on a map
 *
 *  @version 1.1 01/30/2015
 *  @author  John R. Victorine
 */

public class quakeSensorsStruct
{
/*
  public static int    TOTAL       = 15;
  public static double SENSORS[][] =
  {
  // No,  Latitude,  Longitude, Elevation
    {1.0,  37.319880, -97.431659, 1251.0},
    {2.0,  37.322397, -97.431700, 1265.0},
    {3.0,  37.317896, -97.434762, 1260.0},
    {4.0,  37.324232, -97.435081, 1267.0},
    {5.0,  37.320895, -97.444640, 1258.0},
    {6.0,  37.318033, -97.425951, 1282.0},
    {7.0,  37.314185, -97.429880, 1270.0},
    {8.0,  37.315445, -97.442910, 1262.0},
    {9.0,  37.311684, -97.438429, 1257.0},
    {10.0, 37.311794, -97.448421, 1239.0},
    {11.0, 37.311745, -97.441339, 1262.0},
    {12.0, 37.309846, -97.445499, 1246.0},
    {13.0, 37.303385, -97.449980, 1239.0},
    {14.0, 37.303563, -97.442489, 1243.0},
    {15.0, 37.307223, -97.434170, 1242.0},
  };
*/
  public int    iTotal  = 0;

  public String sKID[]  = null;
  public int    id[]    = null;
  public String sid[]   = null;
  public String sName[] = null;
  public double dLat[]  = null;
  public double dLong[] = null;
  public double dElev[] = null;

  /** Method delete()
   *  <p> This method will free memory allocated for this structure
   */

  public void delete()
  {
    sKID  = null;
    id    = null;
    sid   = null;
    sName = null;
    dLat  = null;
    dLong = null;
    dElev = null;
  }
}


/*
 *  @version 1.1 01/30/2015
 *  @author  John Victorine
 */
